namespace Tests;
using Models.Game;

public class PlayerTest
{
    [Fact]
    public void PlayerConstructorTest()
    {
        Player player = new Player();
        Assert.NotNull(player);
        Assert.Equal("Player", player.Pseudo);
        Assert.Equal("DefaultProfilePicture", player.ProfilePicture);

        Player player2 = new Player("John Doe", "N/A.png");
        Assert.Equal("John Doe", player2.Pseudo);
        Assert.Equal("N/A.png", player2.ProfilePicture);
    }

    [Fact]
    public void PlayerIsEqualTest()
    {
        Player player = new Player("John");
        Player player2 = new Player("John", "DefaultProfilePicture");
        Player player3 = new Player("Inconnu","N/A");
        
        Assert.Equal(player, player2);
        Assert.NotEqual(player, player3);
    }
}